잘 디버깅하고 배포를 위해 release 로 빌드하는데 아래처럼 에러가 발생되었다.

경고  

The $(TargetFrameworkVersion) for Mono.Data.Sqlite.dll (v7.1) is greater than the $(TargetFrameworkVersion) for your project (v5.0).
You need to increase the $(TargetFrameworkVersion) for your project. 
SMSConvey D:\[01]Source\K\K\SMSConvey\SMSConvey.csproj  

버전이 안맞는다는 소리같은데 쭉 빌드가 되던 애가 갑자기 왜이런담.;

Xamarin 업데이트 이후 발생되는것 같았다.

구글링해보니..

어떤사람은 .csproj 를 고치라고 하고

https://forums.xamarin.com/discussion/10472/error-invalid-value-for-targetframeworkversion

 

어떤 사람은 링커를 쓰지 않도록 하라고 하는데 이건 비쥬얼 스튜디오가 2017 버전이다.

https://stackoverflow.com/questions/37177430/link-assemblies-task-failed-unexpectedly-issue-while-app-build-in-xamarin

 

일단 편집하는건 좀 그래서 두번째방법으로 시도해 보았다.

2015 버전이라 좀 달라서 찾아보니 아래그림처럼 저 위치의 링커 속성의 연결하는 중 의 값을 '없음'으로 하니 빌드가 제대로 되었다.

 

 

+ Recent posts

티스토리 툴바